server:
  port: 8094

spring:
  data:
    web:
      pageable:
        size-parameter: pagesize
        page-parameter: page
        default-page-size: 10
        max-page-size: 50

  servlet:
    multipart:
      max-file-size: 500MB
      max-request-size: 500MB

  datasource:
    url: ""
    username: ""
    password: ""
    driver-class-name: org.postgresql.Driver

  jpa:
    show-sql: true
    hibernate:
      ddl-auto: update
    properties:
      hibernate:
        show_sql: true
        use_sql_comments: false
        format_sql: false
        default_schema: security

logging:
  level:
    org.hibernate.SQL: info

backoffice:
  provider-company:
    uuid: 0b15e68e-bf45-11eb-8529-0242ac130003

security:
  sendgrid:
    api-key: ""
    sender-email: ""
    variables:
      frontend-host: http://127.0.0.1:3002/roles
      confirm-account-url: http://127.0.0.1:3002/confirmar-cuenta/
      reset-password-url: http://127.0.0.1:3002/restablecer-contraseña/
    templates:
      welcome-id: ""
      role-added-id: ""
      reset-password-id: ""
  jwt:
    secret: ""
    login:
      expiration-in-minutes: 2880
    reset-password:
      expiration-in-minutes: 1440

# Disable EUREKA in development
eureka:
  client:
    enabled: false

# Disable FEIGN in development
feign:
  httpclient:
    enabled: false
